> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# invoices pagination



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/invoices
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/invoices:
    get:
      tags:
        - 'Invoices:'
      summary: invoices pagination
      operationId: InvoiceController_findAll_v1
      parameters:
        - name: limit
          required: false
          in: query
          description: 'pagination: limit of entities returned by query'
          schema:
            type: number
        - name: startIssuedAt
          required: false
          in: query
          description: filter by start issued date
          schema:
            format: date
            example: '2024-06-20'
            type: string
        - name: endIssuedAt
          required: false
          in: query
          description: filter by end issued date
          schema:
            format: date
            example: '2024-06-20'
            type: string
        - name: series
          required: false
          in: query
          description: filter by series
          schema:
            type: string
        - name: customerCode
          required: false
          in: query
          description: filter by customer code
          schema:
            type: string
        - name: status
          required: false
          in: query
          description: filter by status
          schema:
            type: array
            items:
              type: string
              enum:
                - INVOICED
                - CANCELED
                - REJECTED
                - DELETED
        - name: cursorId
          required: false
          in: query
          description: cursor of the last loaded invoice
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/InvoiceListDTO'
                  nextCursor:
                    type: string
                    nullable: true
                    description: when the field is null, it means that pagination has ended
          description: invoices pagination
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    InvoiceListDTO:
      type: object
      properties:
        id:
          type: string
          description: invoice unique id
        code:
          type: string
          description: invoice code
        grossValue:
          type: number
          description: invoice gross value
        issuedAt:
          type: string
          description: invoice issued date
        series:
          type: string
          description: invoice series
        accessKey:
          type: string
          description: invoice access key
        subtotal:
          type: number
          description: invoice subtotal
        discount:
          type: number
          description: invoice discount
        totalAmount:
          type: number
          description: total number of units in the invoice, not a monetary value
        taxesValue:
          type: number
          description: invoice taxes value
        pdfUrl:
          type: string
          description: invoice pdf url
          nullable: true
        xmlUrl:
          type: string
          description: invoice xml url
          nullable: true
        status:
          type: string
          description: invoice status
          enum:
            - INVOICED
            - CANCELED
            - REJECTED
            - DELETED
        canceledAt:
          type: string
          description: invoice cancellation date
          format: date
          nullable: true
        customerCode:
          type: string
          description: customer code
        customerCommercialName:
          type: string
          description: customer commercial name
        customerCompanyName:
          type: string
          description: customer company name
        createdAt:
          format: date-time
          type: string
          description: invoice creation date
        updatedAt:
          format: date-time
          type: string
          description: invoice last update date
      required:
        - id
        - code
        - grossValue
        - issuedAt
        - series
        - accessKey
        - subtotal
        - discount
        - totalAmount
        - taxesValue
        - pdfUrl
        - xmlUrl
        - status
        - canceledAt
        - customerCode
        - customerCommercialName
        - customerCompanyName
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.